// @ts-check
/** @type {import('@docusaurus/plugin-content-docs').SidebarsConfig} */
const sidebars = {
  docsSidebar: [
    'index',
    'start',
    {
      Basics: [
        'basics/navigation',
        'basics/customization',
        'basics/selecting-days',
        'basics/styling'
      ]
    },
    {
      Guides: [
        'guides/modifiers',
        'guides/custom-selections',
        'guides/formatters',
        'guides/localization',
        'guides/input-fields',
        'guides/custom-components'
      ]
    },
    'changelog',
    'contributing',
    'license'
  ],
  apiSidebar: [
    {
      type: 'autogenerated',
      dirName: 'api' // 'api' is the 'out' directory
    }
  ]
};

module.exports = sidebars;
